## org.apache.aries.subsystem.core.archive
Class GenericHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.GenericHeader

All Implemented Interfaces:
  Header<GenericHeader.Clause>

    public class GenericHeader

extends Object
implements Header<GenericHeader.Clause>

Nested Class Summary
`static class` `GenericHeader.Clause`

Constructor Summary
`GenericHeader(String name, Collection<GenericHeader.Clause> clauses)`
`GenericHeader(String name, String value)`

Method Summary
`Collection<GenericHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericHeader

    public GenericHeader(String name,
                         Collection<GenericHeader.Clause> clauses)

### GenericHeader

    public GenericHeader(String name,
                         String value)

Method Detail

### getClauses

    public Collection<GenericHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<GenericHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<GenericHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<GenericHeader.Clause>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.